package it.integry.integrywmsnative.core.di;

import androidx.databinding.BaseObservable;

import org.parceler.Parcel;

@Parcel
public class BindableBoolean extends BaseObservable {
    boolean mValue;

    public BindableBoolean() {}

    public BindableBoolean(boolean startValue) {
        this.mValue = startValue;
    }

    public boolean get() {
        return mValue;
    }

    public void set(boolean value) {
        if (mValue != value) {
            this.mValue = value;
            notifyChange();
        }
    }
}

